/**
 * Copyright (c) 2019, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

export const Theme = require("./theme");
// TODO: Revisit default theme loading
// export const DefaultTheme = Theme.compile(
//     "./libs/styles/less/theme-module/themes/default/index.less",
//     "./libs/styles/less/theme-module/themes/default", {}
// );

// Icons
export const AlertIcon = require("../lib/assets/images/icons/alert-icon.svg");
export const AppIcon = require("../lib/assets/images/icons/app-icon.svg");
export const ArrowRight = require("../lib/assets/images/icons/arrow-right-icon.svg");
export const BlockedMagnifierIcon = require("../lib/assets/images/icons/blocked-magnifier-icon.svg");
export const BoxIcon = require("../lib/assets/images/icons/box-icon.svg");
export const CaretRightIcon = require("../lib/assets/images/icons/caret-right-icon.svg");
export const ClaimsIcon = require("../lib/assets/images/icons/claims-icon.svg");
export const CloseIcon = require("../lib/assets/images/icons/close-icon.svg");
export const CodeIcon = require("../lib/assets/images/icons/code-icon.svg");
export const ConsentIcon = require("../lib/assets/images/icons/consent-icon.svg");
export const ControlsIcon = require("../lib/assets/images/icons/controls-icon.svg");
export const CrossIcon = require("../lib/assets/images/icons/cross-icon.svg");
export const DashboardIcon = require("../lib/assets/images/icons/dashboard-icon.svg");
export const DocumentIcon = require("../lib/assets/images/icons/document-icon.svg");
export const DotIcon = require("../lib/assets/images/icons/dot-icon.svg");
export const DragIcon = require("../lib/assets/images/icons/drag-icon.svg");
export const DragSquaresIcon = require("../lib/assets/images/icons/drag-squares-icon.svg");
export const EmailIcon = require("../lib/assets/images/icons/email-icon.svg");
export const ErrorIcon = require("../lib/assets/images/icons/error-icon.svg");
export const FingerprintIcon = require("../lib/assets/images/icons/fingerprint.svg");
export const ForbiddenIcon = require("../lib/assets/images/icons/forbidden-icon.svg");
export const GearsIcon = require("../lib/assets/images/icons/gears-icon.svg");
export const InfoIcon = require("../lib/assets/images/icons/info-icon.svg");
export const LaunchIcon = require("../lib/assets/images/icons/launch-icon.svg");
export const LockIcon = require("../lib/assets/images/icons/lock-icon.svg");
export const MagnifierIcon = require("../lib/assets/images/icons/magnifier-icon.svg");
export const MaximizeIcon = require("../lib/assets/images/icons/maximize-icon.svg");
export const MinimizeIcon = require("../lib/assets/images/icons/minimize-icon.svg");
export const MonitorIcon = require("../lib/assets/images/icons/monitor-icon.svg");
export const PackageIcon = require("../lib/assets/images/icons/package.svg");
export const PadlockIcon = require("../lib/assets/images/icons/padlock-icon.svg");
export const PlugIcon = require("../lib/assets/images/icons/plug-icon.svg");
export const SecurityQuestionsIcon = require("../lib/assets/images/icons/security-questions-icon.svg");
export const SMSIcon = require("../lib/assets/images/icons/sms-icon.svg");
export const SpinWheelIcon = require("../lib/assets/images/icons/spin-wheel-icon.svg");
export const SuccessIcon = require("../lib/assets/images/icons/success-icon.svg");
export const ReportIcon = require("../lib/assets/images/icons/report-icon.svg");
export const TickCircleIcon = require("../lib/assets/images/icons/tick-circle-icon.svg");
export const ToolsIcon = require("../lib/assets/images/icons/tools-icon.svg");
export const AuthenticatorAppIcon = require("../lib/assets/images/icons/authenticator-app-icon.svg");
export const UserIcon = require("../lib/assets/images/icons/user-icon.svg");
export const UserStoreIcon = require("../lib/assets/images/icons/user-store.svg");
export const WarningIcon = require("../lib/assets/images/icons/warning-icon.svg");

// Illustrations
export const AssociatedAccountsIllustration = require("../lib/assets/images/illustrations/associated-accounts.svg");
export const AssociatedAccountsMiniIllustration = require("../lib/assets/images/illustrations/associated-accounts-mini.svg");
export const ChangePasswordIllustration = require("../lib/assets/images/illustrations/change-password.svg");
export const ChangePasswordMiniIllustration = require("../lib/assets/images/illustrations/change-password-mini.svg");
export const EmptySearchResultsIllustration = require("../lib/assets/images/illustrations/no-search-results.svg");
export const ProfileExportIllustration = require("../lib/assets/images/illustrations/profile-export.svg");
export const ProfileExportMiniIllustration = require("../lib/assets/images/illustrations/profile-export-mini.svg");
export const SecurityQuestionsIllustration = require("../lib/assets/images/illustrations/security-questions.svg");
export const SecurityQuestionsMiniIllustration = require("../lib/assets/images/illustrations/security-questions-mini.svg");
export const QRCodeScanIllustration = require("../lib/assets/images/illustrations/qrcode-scan.svg");
export const EnterVerificationCode = require("../lib/assets/images/illustrations/enter-verification-code.svg");

// Status shields
export const StatusShieldGood = require("../lib/assets/images/accounts-status-icons/good.svg");
export const StatusShieldWarning = require("../lib/assets/images/accounts-status-icons/warning.svg");
export const StatusShieldDanger = require("../lib/assets/images/accounts-status-icons/danger.svg");

// Logos
export const GravatarLogo = require("../lib/assets/images/gravatar-logo.png");
export const Logo = require("../lib/assets/images/logo.svg");

// Protocol Logos
export const SamlLogo = require("../lib/assets/images/protocols/saml.png");
export const OpenIDLogo = require("../lib/assets/images/protocols/openid.png");
export const WSFedLogo = require("../lib/assets/images/protocols/ws-fed.png");
export const WSTrustLogo = require("../lib/assets/images/protocols/ws-trust.png");
export const OIDCLogo = require("../lib/assets/images/protocols/oidc.png");

// Misc
export const DummyUser = require("../lib/assets/images/user.png");
export const OrangeAppIconBackground = require("../lib/assets/images/app-icon-background.png");

// Technology Logos
export const AngularLogo = require("../lib/assets/images/technologies/angular-logo.svg");
export const DotNetLogo = require("../lib/assets/images/technologies/dotnet-logo.svg");
export const JavaLogo = require("../lib/assets/images/technologies/java-logo.svg");
export const ReactLogo = require("../lib/assets/images/technologies/react-logo.svg");
export const VueLogo = require("../lib/assets/images/technologies/vue-logo.svg");

// Application template illustrations
export const WebAppTemplateIllustration = require("../lib/assets/images/illustrations/web-app-illustration.svg");
export const SPATemplateIllustration = require("../lib/assets/images/illustrations/spa-illustration.svg");

// Social
export const FacebookLogo = require("../lib/assets/images/social/facebook.svg");
export const GoogleLogo = require("../lib/assets/images/social/google.svg");
export const TwitterLogo = require("../lib/assets/images/social/twitter.svg");

// Authenticators
export const BasicAuthIcon = require("../lib/assets/images/authenticators/basic-auth.png");
export const EmailOTPIcon = require("../lib/assets/images/authenticators/email-otp.svg");
export const FIDOLogo = require("../lib/assets/images/authenticators/fido.png");
export const SMSOTPIcon = require("../lib/assets/images/authenticators/sms-otp.svg");
export const TOTPIcon = require("../lib/assets/images/authenticators/totp.png");

// Identity providers
export const GoogleIdPIcon = require("../lib/assets/images/identity-providers/google.svg");
export const FacebookIdPIcon = require("../lib/assets/images/identity-providers/facebook.svg");
export const GithubIdPIcon = require("../lib/assets/images/identity-providers/github.svg");
export const TwitterIdPIcon = require("../lib/assets/images/identity-providers/twitter.svg");

// Identity provider capabilities
export const AuthenticationCapabilityIcon = require("../lib/assets/images/identity-provider-capabilities/authentication.svg");
export const ProvisionCapabilityIcon = require("../lib/assets/images/identity-provider-capabilities/provision.svg");

/**
 * The following has been kept for backward compatibility.
 * These can be removed once the user portal is refactored.
 */
export const Padlock = require("../lib/assets/images/icons/padlock-icon.svg");

export const HomeTileIcons = {
    profile: require("../lib/assets/images/home_profile_mgt.png"),
    security: require("../lib/assets/images/home_security_mgt.png"),
    consent: require("../lib/assets/images/home_consent_mgt.png")
};

export const SidePanelIconSet = {
    account: require("../lib/assets/images/icons/controls-icon.svg"),
    apps: require("../lib/assets/images/icons/app-icon.svg"),
    consent: require("../lib/assets/images/icons/tick-circle-icon.svg"),
    operations: require("../lib/assets/images/icons/tools-icon.svg"),
    overview: require("../lib/assets/images/icons/dashboard-icon.svg"),
    personal: require("../lib/assets/images/icons/user-icon.svg"),
    security: require("../lib/assets/images/icons/lock-icon.svg"),
    session: require("../lib/assets/images/icons/monitor-icon.svg"),
};

export const MFAIconSet = {
    sms: require("../lib/assets/images/icons/sms-icon.svg"),
    fingerprint: require("../lib/assets/images/icons/fingerprint.svg"),
    authenticatorApp: require("../lib/assets/images/icons/authenticator-app-icon.svg")
};

export const AccountRecoveryIconSet = {
    email: require("../lib/assets/images/icons/email-icon.svg"),
    securityQuestions: require("../lib/assets/images/icons/security-questions-icon.svg")
};

export const SettigsSectionIconSet = {
    associatedAccounts: require("../lib/assets/images/illustrations/associated-accounts.svg"),
    associatedAccountsMini: require("../lib/assets/images/illustrations/associated-accounts-mini.svg"),
    changePassword: require("../lib/assets/images/illustrations/change-password.svg"),
    changePasswordMini: require("../lib/assets/images/illustrations/change-password-mini.svg"),
    federatedAssociations: require("../lib/assets/images/illustrations/federated-associations.svg"),
    federatedAssociationsMini: require("../lib/assets/images/illustrations/federated-associations-mini.svg"),
    profileExport: require("../lib/assets/images/illustrations/profile-export.svg"),
    profileExportMini: require("../lib/assets/images/illustrations/profile-export-mini.svg"),
    securityQuestions: require("../lib/assets/images/illustrations/security-questions.svg"),
    securityQuestionsMini: require("../lib/assets/images/illustrations/security-questions-mini.svg")
};
